import http from '@/http'

export const getNoticeList = params =>
  http.get('/api/v1/notice/manage/list', { params })//  公告管理列表
export const detail = id =>
  http.get(`/api/v1/notice/detail/${id}`) //  公告详情
export const save = data =>
  http.post('/api/v1/notice/save', data) //  新增公告
export const del = data =>
  http.delete('/api/v1/notice/del', { data }) //  删除公告
export const noticeEnabled = data =>
  http.post('/api/v1/notice/enabled', data) //  禁用启用
export const topped = data =>
  http.post('/api/v1/notice/topped', data) //  置顶
